%define		pdir	Devel
%define		pnam	LexAlias
%include	/usr/lib/rpm/macros.perl
Summary:	Devel::LexAlias - alias lexical variables
#Summary(pl.UTF-8):	
Name:		perl-Devel-LexAlias
Version:	0.05
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Devel/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1a4f70dff1a47b3eb96bdeac50db2ec5
URL:		http://search.cpan.org/dist/Devel-LexAlias/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Devel::LexAlias provides the ability to alias a lexical variable in a
subroutines scope to one of your choosing.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Devel/*.pm
%dir %{perl_vendorarch}/auto/Devel/LexAlias
%{perl_vendorarch}/auto/Devel/LexAlias/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Devel/LexAlias/*.so
%{_mandir}/man3/*
%changelog
* Mon Jun 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Devel-LexAlias.git;a=log;h=master

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 57c1d3c
- up to 0.05

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> dd486d3
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Jan 28 2012 Jan Rękorajski <baggins@pld-linux.org> 2ad1a85
- new

